Вопрос: как открыть файл v8LT в КОМПАС v7

Автор Pashtet, 20.05.06, 21:21:46

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Pashtet

Ситуация такая
Дома сделал чертёж для института в версии "Компас v8LT" принёс файл к другу на работу что-б распечатать, а у них там используется "Компас  v7". По пытались его там открыть -"Failed to open document"
-это что в принципе не возможно??!  >:(

Если да, то однозначно упущение со стороны разработчиков...
Совместимость документов с разными версиями продукта в котором их изготавливают должна быть полной в обе стороны!

Если нет, то подскажите какие действия нужно сделать?
-Может нужны какие то обнавления?  8-)

Юрец

сохрани в компас 8,0 ЛТ чертеж как версию компаса 7.0 - "сохранить как".

Pashtet

-Это как??!  :~
Нажимаю "Файл" выбираю "Сохранить Как..."
Появляется окошко сохранения "Укажите имя файла для записи"
в котором можно выбрать только имя файла и тип... -их всего два =)
Один: КОМПАС-Чертежи (*.CDW)
Второй: Шаблон КОМПАС-Чертежа (*.СDT)
-И всё...  :(

Sergei

20.05.06, 22:11:20 #3 Последнее редактирование: 28.05.06, 12:43:57 от Sergei
 :(

Aleksei

Цитата: Pashtet от 20.05.06, 21:21:46
Совместимость документов с разными версиями продукта в котором их изготавливают должна быть полной в обе стороны!

Седьмой Компас не будет читать файлы восьмого, вне зависимости от того, профессиональная  это версия или  LT. Такая история случается практически с любой программой при обновлении версий.

Цитата: YurokVK от 20.05.06, 21:38:39
сохрани в компас 8,0 ЛТ чертеж как версию компаса 7.0 - "сохранить как".


Не получится. Версия LT не поддерживает экспорт в другие форматы, даже свои собственные, но более старые.

Цитата: Pashtet от 20.05.06, 21:21:46
Если нет, то подскажите какие действия нужно сделать?


Открыть файлы v8 LT можно в восьмом Компасе, если на ключе есть свободная лицензия "Читать файлы Компас LT"

Pashtet

Ответ Sergei
Спасибо хоть на этом =)
завтра поеду к нему гляну...
-Честно говоря это  ж0па... зачем они так сделали? -вредители...
Бесплатная версия для студентов... -красиво звучит, а на деле одни проблемы...
У AutoDesk в "AutoCad 2006" полный функционал на месяц!!!

Ответ Aleksei
"Такая история случается практически с любой программой при обновлении версий."
-Так не должно быть... И это не правда... Есть множество свидетельств тому...
А вообще спасибо за помощь =)

...P.S. зачем только связался с Асконом, кусаю локти -все чертежи переделывать наверно придётся....

Aleksei

Цитата: Pashtet от 20.05.06, 22:29:27
зачем они так сделали? -вредители...
Бесплатная версия для студентов... -красиво звучит, а на деле одни проблемы...
У AutoDesk в "AutoCad 2006" полный функционал на месяц!!!


Имеется в виду, что студент в LT-версии  начинает учиться чертить (и делает это дома). А если в вузе также есть и университетская лицензия на полную версию, то все эти файлы  в ней прекрасно читаются.  :)

Цитата: Pashtet от 20.05.06, 22:29:27
Ответ Aleksei
"Такая история случается практически с любой программой при обновлении версий."
-Так не должно быть... И это не правда... Есть множество свидетельств тому...


Вы не правы, что касается CAD-программ  - это почти закон. У новой версии меняется формат файла в связи с добавлением новых функций. Попробуйте, например, прочитать файл SolidWorks 2005 в версии 2004. Получите сообщение "Не могу открыть файл  - будущая версия".  :(




Andy

Полностью согласен с высказываниями Aleksei.
И Не поддерживаю необоснованные нападки Pashtet
А Pashtet`у простой совет:
захватите на работу другу дистрибутив V8LT или даже лучше Viewer_V8, быстренько поставте его и печатайте сколько угодно...
:um:
Успехов!

Aleksei

Цитата: Andy от 21.05.06, 08:52:09
захватите на работу другу дистрибутив V8LT или даже лучше Viewer_V8, быстренько поставте его и печатайте сколько угодно...


Согласен, это самый лучший выход. Тем более, что Компас-LT без проблем ставится "параллельно" полной версии. Но приготовьтесь к тому, что  LT, поскольку ставился последним, "перетянет" на себя установленные в Windows ассоциации на компасовские расширения файлов. Теперь по двойному щелчку они будут запускаться именно в LT, а не в основной версии Компаса. Правда, это легко исправляется вручную.

Pashtet

Со мной всё понятно =) я не покупатель, я халявный пользователь и не имею права требовать чего то сверх того что и так досталось на халяву...
-НО!
Мне представляется совершенно реальной такая ситуация:
Две конторы находящиеся на приличном расстоянии (заказчик и завод исполнитель) работающие над одним проектом с той лишь разницей что у заказчика используется V8 а в отделе завода который с ним взаимодействует V7... -И чего им делать?! =)))) -такие высосанные из пальца проблемы -это нормально? ;)

В серьёзных проектах важно плотное взаимодействие всех сторон, а им палки в колёса вставляют, нет чтоб простой конвертор за деньги выпустить...

...так что как не крути политика партии идёт в разрез с желаниями народа...
Чем это кончается мы все прекрастно знаем...

Администратор

Уважаемый Pashtet!

Делаю Вам замечание за использование грубых выражений.

Также предлагаю не высасывать из пальца несуществующие проблемы и не чернить на их основании наше ПО.
Лучше вначале узнать способы решения задач и разобраться в них. Тогда не возникнет искушения разглагольсововать о «серьезных проектах» и поучать разработчиков  ;)

Pashtet

Согласен с замечанием и согласен с тем что я должен тихонько себе юзать LT...
Но позвольте!
проблема существует это факт!
Просто все закрывают на неё глаза... -это ваше право  :o: софт от такого отношения (типа у нас и так круче всех) лучше не станет...


Andy

21.05.06, 14:14:36 #12 Последнее редактирование: 21.05.06, 14:19:36 от Andy
Цитата: Pashtet от 21.05.06, 13:50:35
Согласен с замечанием и согласен с тем что я должен тихонько себе юзать LT...
Но позвольте!
проблема существует это факт!
Просто все закрывают на неё глаза... -это ваше право  :o: софт от такого отношения (типа у нас и так круче всех) лучше не станет...

Это Ваша проблема высосана из пальца! >:(
У пользователей полной версии этих проблем нет. В них существует возможность сохранять в любую младшую версию и еще в кучу форматов. А Вы прежде чем возмущаться - учите "матчасть" (для начала почитайте ограниченич версии LT и может все станет ясно!)   :um:

Администратор

Цитата: Pashtetпроблема существует это факт!
Просто все закрывают на неё глаза... -это ваше право :o: софт от такого отношения (типа у нас и так круче всех) лучше не станет...


::)

Уважаемый Pashtet!

Эта «проблема» существует только в Вашей голове. Не надо выдавать за факт свою личную фантазию.

Также не надо передергивать чужие слова и приписывать другим придуманные Вами мнения.

Тонкий намек: если начинать решение какой-либо проблемы не с «наезда», а с корректно поставленного вопроса, вероятность прилюдно «сесть в лужу» существенно понижается.  ;)

Fogel

v7 это ерунда. У меня проблема более веселого плана - 5.R01. Причем это добро стоит как раз у "удаленного заказчика", он это добро купил и ничего другого ставить не собирается. У нас же куплен восьмой компас как раз для конвертации наших работ для подобных заказчиков. Вот если не очень трудно, то объясните в какую ветку форума мне заглянуть чтобы почитать о технологии преобразования. Сам я САПРом управляю на базе автодесковских разработок, поэтому для меня эта задача оказалась удивительной. Да, новые версии бывают несовместимы, но "сохранить как" они поддерживают в лучшем виде.
Конечно можно почитать ДВЖ файл из пятерки (хм, я должен поставить себе этот софт ради преобразования?) или сохранить из восьмого как 5R03 (который не будет читаться 5R01, и кстати почему восьмой сохраняет только в 5.11, где 7й?)...
Уж извините, но после таких запарок связываться с Асконом не хочется, хотя ваши эксперты и насчитали нам в контору 200 необходичых рабочих мест Компаса, но увы. Автокад нам роднее ;)

VV

Зря наезжаете на АСКОН. ПОДАВЛЯЮЩЕЕ большинство софта совсестимо по версиям ТОЛЬКО в одну сторону.

А для решения подобного рода поблем существует абсолютно свежая, бесплатная и доступная программа под названием КОМПАС 3D Viewer V9 (пока 9, а дальше будет новая и т.д.).

Ser_G

Цитата: Fogel от 07.06.07, 08:41:40
Сам я САПРом управляю на базе автодесковских разработок, поэтому для меня эта задача оказалась удивительной. Да, новые версии бывают несовместимы, но "сохранить как" они поддерживают в лучшем виде.
А ни у кого из "удаленных заказчиков" не стоит один из первых автокадов?
Насчет перегона в 5.R01 - помнится, в студенческие годы активно перегоняли через формат .ksf. Этот формат как раз для таких случаев и был создан, на сколько знаю. И вообще, с перегоном 2Д не должно быть никаких проблем.

AVas

Цитата: Fogel от 07.06.07, 08:41:40
v7 это ерунда. У меня проблема более веселого плана - 5.R01. Причем это добро стоит как раз у "удаленного заказчика", он это добро купил и ничего другого ставить не собирается. У нас же куплен восьмой компас как раз для конвертации наших работ для подобных заказчиков. Вот если не очень трудно, то объясните в какую ветку форума мне заглянуть чтобы почитать о технологии преобразования. Сам я САПРом управляю на базе автодесковских разработок, поэтому для меня эта задача оказалась удивительной. Да, новые версии бывают несовместимы, но "сохранить как" они поддерживают в лучшем виде.

Обновление до 5.11R03 бесплатно. Любой удаленный заказчик, с мозгами, может обновить любую 5.х версию, и никаких проблем с конвертацией не будет.